KNOWLEDGE BASE

Error "Prepared statement needs to be re-prepared" Connecting to MariaDB


Published: 15 Sep 2021
Last Modified Date: 19 Sep 2021

Issue

When connecting to MariaDB using the MySQL connector, the following error may occur:

[MySQL][ODBC 8.0(w) Driver][mysqld-5.5.5-10.2.14-MariaDB-log]Prepared statement needs to be re-prepared

Environment

  • Tableau Desktop
  • MariaDB 10.2
  • Windows

Resolution

An incorrect driver version is installed.

To resolve follow the steps below:
  1. On the affected computer, navigate to Control Panel\Programs\Programs and Features and uninstall MySQL Connector/ODBC 8.0.
  2. Install MySQL Connector ODBC 5.3.8 (64 bit). You can download the installer from https://downloads.mysql.com/archives/get/p/10/file/mysql-connector-odbc-5.3.8-winx64.msi
  3. Restart Tableau Desktop, and check whether the issue still occurs.

Cause

Incorrect driver version in use.
Did this article resolve the issue?